/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.TipoCentro;

/**
 *
 * @author fcelestino
 */
public interface TipoCentroDAO {
    public ArrayList<TipoCentro> listarTipoCentro() throws Exception;
    public int registrarTipoCentro(String nombreTipoCentro) throws Exception;
    public void cambiarEstado(String dato, String codigoTipoCentro) throws Exception;
    public ArrayList<TipoCentro> cargarTipoCentro() throws Exception;
    public ArrayList<TipoCentro> cargarTipoCentro(String codigoSede) throws Exception;
    public TipoCentro NombreCentro(String codCentro) throws Exception;
    public void actualizar(String codCentro,String nombre) throws Exception;
    public int cantidadUsoCentro(String codCentro) throws Exception;
    
}
